<!doctype html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>Тестовое задание для html-верстальщика</title>
</head>
<body>
	<h1>Тестовое задание для html-верстальщика</h1>

	<ul>
		<li><a href="./test.jpg">Превью задания</a></li>
		<li><a href="./test.zip">Скачать архив с заданием</a> (3.5 МБ)</li>
	</ul>
	<dl>
		<dt><strong>Требования:</strong></dt>
		<dd>
			<ul>
				<li>Желательно, не использовать js при решении заданий.
				<br>Все задания можно реализовать только с помощью css.</li>
				<li>Поддержка актуальных версий браузеров (Chrome, Firefox, Safari, Opera, IE 9-11). <br>
				За поддержку старых браузеров + в карму</li>
			</ul>
		</dd>
	</dl>
	<dl>
		<dt><strong>Задания:</strong></dt>
		<dd>
			<ol>
				<li>
					<dl>
						<dt><b>Статья</b></dt>
						<dd>
							<ul>
								<li>Статья фиксированного размера</li>
								<li>Цвет подчеркивания у ссылок отличается от цвета текста</li>
								<li>Ссылка может быть на 2 строках</li>
								<li>Подпись у картинки может быть длиннее, в таком случае она должна переходить на 2 строку</li>
							</ul>
						</dd>
					</dl>
				</li>
				<li>
					<dl>
						<dt><b>Меню</b></dt>
						<dd>
							<ul>
								<li>При наведении на меню оно становится прозрачным, кроме пункта, на который навели</li>
							</ul>
						</dd>
					</dl>
				</li>
				<li>
					<dl>
						<dt><b>Список статьей</b></dt>
						<dd>
							<ul>
								<li>Заголовок статьи нестандартным шрифтом PT Sans (Шрифт в архиве)</li>
								<li>Заголовок всегда в 1 строку, если не вмещается — текст обрезать</li>
								<li>Статья фиксированной ширины</li>
								<li>Блок со статьями резиновый по ширине. При сужении статья которая не вмешается, должна перейти на следующую строку и наоборот.</li>
								<li>Статьи всегда центрируются</li>
							</ul>
						</dd>
					</dl>
				</li>

				<li>
					<dl>
						<dt><b>Форма поиска</b></dt>
						<dd>
							<ul>
								<li>По умолчанию форма поиска скрыта</li>
								<li>При клике на лупу выезжает поле поиска</li>
								<li>Поле поиска исчезает только после повторного нажатия на лупу</li>
							</ul>
							<br>
							<b>Демонстрация работы</b>
							<br><br>
							<iframe width="560" height="315" src="http://www.youtube.com/embed/Rwk8ad2pxvA" frameborder="0" allowfullscreen></iframe>
						</dd>
					</dl>
				</li>
				<li>
					<dl>
						<dt><b>Форма регистрации</b></dt>
						<dd>
							<ul>
								<li>При клике на инпут он принимает focus состояние (Стили отрисованы)</li>
								<li>У textarea такое же фокус состояние как и у инпута. Textarea ресайзится только по высоте</li>
								<li>Радио кнопки (состояния: checked, unchecked, hover)</li>
								<li>Кнопка (состояния: normal, hover, active)</li>
							</ul>
						</dd>
					</dl>
				</li>
			</ol>
		</dd>
	</dl>
	<p>Решения и вопросы присылайте на <a href="mailto:a.krekotun@gmail.com">почту</a></p>
</body>
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-46476558-1']);
  _gaq.push(['_setDomainName', 'krekotun.ru']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</html>
